Skip to content

Get subscription status

GET
/v1/subscriptions/status/{subscriptionId}
subscriptionId
required
string
Example
sub-33MxMppykHWC9eb3tSjWqWEK8qg

Subscription ID

Subscription status

object
reference
required

Freeform reference used for correlation in client system

string
<= 50 characters
Example
CUST-134422
status
required
string
Allowed values: pending active stale
Example
active
lastActivity
string | null format: date-time
Example
2024-01-15T10:30:00Z

Bad or malformed request

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri

Unauthorized

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri

Forbidden

RFC 9457 problem details object.

object
type

A URI reference that identifies the problem type.

string format: uri
default: about:blank
title

Short, human-readable summary of the problem type.

string
status

HTTP status code for this occurrence of the problem.

integer format: int32
>= 100 <= 599
detail

Human-readable explanation specific to this occurrence.

string
instance

A URI reference that identifies the specific occurrence.

string format: uri